# This is a metallb dependency in the STFC tenants
# It needs to disable the openstack security Port
# https://confluence.skatelescope.org/display/SE/Investigate+Metallb
# If your target enviroment don't need this, remove this task from the playbook.
- name: "Openstack Disable Security Port"
  hosts:
    - openstack[0]
  become: true
  roles:
    - role: ska_cicd.k8s.metallb_openstack
      environment:
        OS_AUTH_TYPE: "{{ lookup('env', 'OS_AUTH_TYPE') }}"
        OS_AUTH_URL: "{{ lookup('env', 'OS_AUTH_URL') }}"
        OS_IDENTITY_API_VERSION: "{{ lookup('env', 'OS_IDENTITY_API_VERSION') }}"
        OS_REGION_NAME: "{{ lookup('env', 'OS_REGION_NAME') }}"
        OS_INTERFACE: "{{ lookup('env', 'OS_INTERFACE') }}"
        OS_APPLICATION_CREDENTIAL_ID: "{{ lookup('env', 'OS_APPLICATION_CREDENTIAL_ID') }}"
        OS_APPLICATION_CREDENTIAL_SECRET: "{{ lookup('env', 'OS_APPLICATION_CREDENTIAL_SECRET') }}"

# Installs mettalb and coredns
- name: "Install Metallb"
  hosts:
    - masters[0]
  become: true
  roles:
    - role: ska_cicd.k8s.metallb
